## org.apache.ivy.core.sort
Class SortOptions

    java.lang.Object
      org.apache.ivy.core.sort.SortOptions

    public class SortOptions

extends java.lang.Object

Field Summary
`static SortOptions` `DEFAULT`
`static SortOptions` `SILENT`

Constructor Summary
`SortOptions()`

Method Summary
`NonMatchingVersionReporter` `getNonMatchingVersionReporter()`
`boolean` `isUseCircularDependencyStrategy()`
`SortOptions` `setNonMatchingVersionReporter(NonMatchingVersionReporter nonMatchingVersionReporter)`
`SortOptions` `setUseCircularDependencyStrategy(boolean useCircularDependencyStrategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final SortOptions DEFAULT

### SILENT

    public static final SortOptions SILENT

Constructor Detail

### SortOptions

    public SortOptions()

Method Detail

### getNonMatchingVersionReporter

    public NonMatchingVersionReporter getNonMatchingVersionReporter()

### setNonMatchingVersionReporter

    public SortOptions setNonMatchingVersionReporter(NonMatchingVersionReporter nonMatchingVersionReporter)

### isUseCircularDependencyStrategy

    public boolean isUseCircularDependencyStrategy()

### setUseCircularDependencyStrategy

    public SortOptions setUseCircularDependencyStrategy(boolean useCircularDependencyStrategy)